<?php
namespace TourOperatorProAdmin\app\models;
defined('_TOUROPERATOR_EXEC') or die;

use TourOperatorPro\Factory;
use TourOperatorPro\Mvc\Model\ModelForm;
use TourOperatorPro\Filesystem\File as FileAlias;
use TourOperatorPro\Mvc\Model\Model;
use TourOperatorPro\Form\Form;
use TourOperatorPro\Mvc\Model\ModelList;
use TourOperatorPro\Registry\Registry;
use TourOperatorPro\Utilities\Utility;

class OrderdetailModel extends ModelForm
{
    /**
     * @var string
     */
    public $context = "orderdetail";
    /**
     * @var string
     */
    public $table_name = "order_detail";

    public function change_order_status($order_id, $tour_id)
    {
        $data = array(
            "id" => $order_id,
            "tour_id" => $tour_id
        );
        $order = parent::save($data);
        return $order;
    }
}
